"""Definition of the schemata for pre-defined insights tables.

This module defines schema structures for various pre-defined insights tables
using `TypedDict`. These schemata ensure consistency and type safety for table
designs, facilitating the processing of insights in the system.

The module relies on `polars` for data type definitions, ensuring compatibility
with Polars DataFrames.
"""

from dataspree.inference.insights.schemata.schema import BaseSchema, BinaryBaseSchema

__all__ = ['BaseSchema', 'BinaryBaseSchema']
