"""Definition of tables for insights.

This module provides core abstractions for tables and table collections used
to organize, manage, and process insights.

 -  The `Table` class represents an individual table with a specific schema.
 -  The `TableCollection` class manages the hierarchy and relationships between tables using a
    Directed Acyclic Graph (DAG).
"""

from dataspree.inference.insights.tables.table import Table, TableCollection

__all__ = [
    'Table',
    'TableCollection',
]
